<!DOCTYPE html>
<app-unified-header></app-unified-header>

<br>
<div class="container-fluid">
    <div class="container">
        <div class="div-object-content ">
            <div class="row parent-row">
                <h3 id="heading-no-content">No Object Found.</h3>
            </div>
        </div>
    </div>

    <div class="container" style="max-width: 90em;">
        <div class="row" id="obj-navigator">
            <div class="col-md-5" id="object-handler" style="margin-right: 2em; margin-bottom: 1.5em;">
                <div id="view-object-open-with-block" *ngIf="object" class='object-info-block'>
                    <app-open-with *ngIf="object" [object]=object [companionUrl]=companionUrl></app-open-with>
                </div>
                <div id="object-glance" *ngIf="objectGlance" class='object-info-block'>
                    <table *ngFor="let item of objectGlance | keyvalue"
                        id="object-key-{{item.key}}">
                        <tr class="object-summery-pair">
                            <td class="object-summery-key">{{item.key}}</td>
                            <td class="object-summery-value" [innerHTML]="this.sanitizer.bypassSecurityTrustHtml(objectGlance[item.key])"></td>
                        </tr>
                    </table>
                    </div>

                <div id="object-children-wrapper" class='object-info-block'>
                    <div class="object-referrers" *ngFor="let rk of ['source', 'target']">
                        <span class="object-referrers-toggle" (click)="onReferrersToggle(rk, $event.currentTarget)">
                            <span class="object-referrers-toggle-icon">►</span>
                            <span class="object-referrers-type">
                                {{rk === 'source' ? 'Children' : 'Annotations'}}
                            </span>
                        </span>
                        <div style="display: none" class="object-referrers-list-wrapper">
                            <span class="referrers-retrieve-status">........</span>
                            <dl class="object-referrers-list" *ngFor="let item of referrers[rk]">
                                <dt class="object-referrer-info">
                                    <span class="object-referrer-jc">{{item.jsonClass}}</span>: <span class="object-referrer-title">{{item.name || item.title || ''}}</span>
                                </dt>
                                <dd>
                                    <a class="object-referrer-link" href="object/{{item._id}}">{{item._id}}</a>
                                </dd>
                            </dl>
                        </div>
                    </div>
                </div>

            </div>
            <div class="col-md-6" id="view-object-json-view">
                <code id="view-object-json"></code>
                <!--app-json-view  [object]=object *ngIf="object"></app-json-view-->
            </div>
        </div>
    </div>

    <ngx-spinner bdColor="rgba(51, 51, 51, 0.8)" size="large" color="#fff" type="timer">
    </ngx-spinner>
    <div>
